From: "Dmitry E. Oboukhov" <unera@debian.org>
Date: Thu, 22 Dec 2011 14:52:20 +0400
Subject: adjust dependencies for Debian
Origin: vendor
Forwarded: not-needed
Last-Update: 2012-01-21
---
 Makefile.PL              | 2 +-
 lib/MR/IProto/Cluster.pm | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/Makefile.PL b/Makefile.PL
index 362a6cd..5df97fd 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -11,7 +11,7 @@ WriteMakefile(
         'List::MoreUtils'   => 0,
         'Mouse'             => 0,
         'MRO::Compat'       => 0,
-        'String::CRC32'     => 0,
+        'Digest::CRC'       => 0,
         'Time::HiRes'       => 0,
         'Exporter'          => 0,
         'Class::Singleton'  => 0,
diff --git a/lib/MR/IProto/Cluster.pm b/lib/MR/IProto/Cluster.pm
index d5f46b8..573f0f3 100644
--- a/lib/MR/IProto/Cluster.pm
+++ b/lib/MR/IProto/Cluster.pm
@@ -13,7 +13,7 @@ This class is used to implement balancing between several servers.
 use Mouse;
 use Mouse::Util::TypeConstraints;
 use MR::IProto::Cluster::Server;
-use String::CRC32 qw(crc32);
+use Digest::CRC qw(crc32);
 
 =head1 EXPORTED CONSTANTS
 
